package com.example.MeteoStarSpring.components;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class MyComponent {

    @Value("${my.token}")
    private String myToken;

    @Value("${my.log}")
    private String myLogin;

    @Value("${my.pass}")
    private String myPassword;

    @Value("${my.ipesp}")
    private String ipesp;

    // my.smarttimetemp=120
    //my.smarttimesvet=120
    //my.smarttimepoliv=20
/*
    @Value("${my.smarttimetemp}")
    private String smarttimetemp;

    @Value("${my.smarttimesvet}")
    private String smarttimesvet;

    @Value("${my.smarttimepoliv}")
    private String smarttimepoliv;
    */

    public String getMyToken() {
        return myToken;
    }

    public String getMyLogin() {
        return myLogin;
    }

    public String getMyPassword() {
        return myPassword;
    }

    public String getIpesp() { return ipesp; }

    //public String getSmarttimetemp() { return smarttimetemp; }

   // public String getSmarttimesvet() { return smarttimesvet; }

    //public String getSmarttimepoliv() { return smarttimepoliv; }
}
